#
# spec file for package posix_cc
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           posix_cc
Version:        1.4
Release:        513.18.2.1.sr20240702
Summary:        POSIX 1003.2 and 1003.1 2001 C Language Compilers
License:        BSD-3-Clause
Group:          Development/Languages/C and C++
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake

%description
c89 is the name of the C language compiler as required by the POSIX
1003.2 standard, while c99 is the name required by the POSIX 1003.1
2001 standard. Both are actually wrappers for gcc, passing it the
options required to make it conform to said standards in addition to
the options passed via the command line.

Both will only accept those options mandated by the respective
standards.

%prep
%autosetup

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install

%files
%{_bindir}/c89
%{_bindir}/c99
%{_mandir}/man1/c89.1%{?ext_man}
%{_mandir}/man1/c99.1%{?ext_man}

%changelog
* Fri Dec 20 2019 Martin Pluskal <mpluskal@suse.com>
- Modernize spec file
- Build in build phase
* Sat Jan 30 2016 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use macro for configure
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Dec 12 2001 pthomas@suse.de
- Initial package creation based on c89.c from the
  FreeBSD CVS.
- Add a c99 for POSIX 1003.1 2001 conformance
  including a matching man page.
- Call /usr/bin/gcc and not /usr/bin/cc as the latter
  could point to a Compiler other then gcc.
